<?php
// Confirm we are in Coppermine and set the language blocks.
define('IN_COPPERMINE', true);
define('UPLOAD_PHP', true);
define('DB_INPUT_PHP', true);
define('CONFIG_PHP', true);

// Call basic functions, etc.
require('include/init.inc.php');
require('include/picmgmt.inc.php');

// Some placeholders.
$customize = CUSTOMIZE_UPLOAD_FORM;
$user_form = USER_UPLOAD_FORM;
$allowed_URI_boxes = NUM_URI_BOXES;
$allowed_file_boxes = NUM_FILE_BOXES;
$url = str_replace("http://","",$CONFIG['ecards_more_pic_target']);
$urlComponents = explode("/",$url);
$domain = 'http://' . $urlComponents[0] . '/';
$url = $CONFIG['ecards_more_pic_target'];

// Check to see if user can upload pictures.  Quit with an error if he cannot.
if (!USER_CAN_UPLOAD_PICTURES) {
    cpg_die(ERROR, $lang_errors['perm_denied'], __FILE__, __LINE__);
}

// Globalize $CONFIG.
global $CONFIG, $lang_upload_php, $user_form, $max_file_size;

// Generate a sufficiently unique and short identifier for the new directory containing the uploaded images.
// The risk of name collisions with this scheme is so small that I will not bother with it.
$id = strtoupper(base_convert(sha1(rand()), 16, 36));

// Determine largest allowed filesize.
if ( (int) ini_get('upload_max_filesize') < (int) ini_get('post_max_size') ) {
	$max_file = ini_get('upload_max_filesize');
} else {
	$max_file = ini_get('post_max_size');
} 
$max_file = ((int) $max_file) * 1024 * 1024;

echo '<center>
		<APPLET CODE="net.aasted.imageupload.gui.ImageUploadApplet" ARCHIVE="ImageUploader.jar" WIDTH="800" HEIGHT="600">
			<param name="uploadURL" value="', $url, 'fileupload.php?dir=', $id, '" />
			<param name="nextPage" value="', $url, 'searchnew.php?startdir=', $id, '" />
			<param name="domain" value="', $domain, '" />
			<param name="maxSize" value="', $max_file, '" />';
			$i = 0;
			foreach ($_COOKIE as $key => $cookie) {
				echo '<param name="cookie', $i, '" value="', $key, ':', $cookie, '" />';
				$i++;
			}
			echo '</APPLET></center>';
			
?>
